dropdowngroup .dropdown {
    margin-bottom: .75rem;
}


#renderCanvas {
    width: 100%;
    height: 100%;
}

#renderCanvas:focus {
    outline: none;
}


.btn-outline-secondary {
    color: #666;
    background-color: #FFF;
    border-color: #dedede;
}


.card {
    background-color: #f9f9f900;
    border: none;
}

.ring-tabs-container {
    height: 45px;
    background: #464139 !important;
    padding-bottom: 0;
}

.card-header {
    color: #FFF;
    border-bottom: 0;
    background: #e4dccf;
    color: #454545;
    font-size: 1.15rem;
}

.conf-tabs .list-group-item {
    font-size: 0.85rem;
    height: 40px;
    margin-right: 0px;
    color: #353535;
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
    color: #FFF;
    background: #7e7e7e;
}

.conf-tabs .active {
    color: #ffffff;
    background: #565656 !important;
}

/* .ring-tabs{
position: absolute;
    right: 1.5rem;
    top: 58px;
    width: 60%;
 }*/

.ring-tabs a {
    border-radius: 0
}

.ring-tabs .list-group-item {
    border: none;
    background: #cca871;
}

.card-body {
    /*  background: #f9f9f900;*/
    padding: 0;
    /*padding-left: 5px;
  padding-right: 5px;
  padding-top:0;*/
}

.card-footer {
    background: #dad4cb;
    border: none;
}

.card-header-tabs .list-group-item,
.card-header-tabs .list-group-item.active,
.card-header-tabs.list-group-item:last-child {
    border: 0;
}

.form-control-sm {
    height: auto;
    padding: .5rem .75rem;
    font-size: .875rem;
    border-radius: 0.15rem;

}

.table th {
    border-top: none;
    border-bottom: 1px solid #dedede;
    font-weight: 500;
    padding: 5px 0;
}

.table td {
    border-top: none;
    border-bottom: 1px solid #dedede;
    font-weight: 400;
    padding: 5px 0;
}

.table th.bold {
    font-weight: 500;
    border-bottom: 1px solid #353535;
}

.dropdown-menu {
    max-height: 200px;
    width: 100%;
    overflow-y: auto;
}

.dropdown>button {
    position: relative;
    text-align: left;
    font-weight: 500;
}

.dropdown button {
    font-size: .85rem;
    display: flex !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}

.dropdown-menu button.selected {
    background: #373737;
    color: #FFF;
}

.dropdown-item {
    border-bottom: 1px solid #ededed;
    padding-bottom: 6px;
}

.dropdown.configurator .dropdown-item {
    padding: 5px 14px;
}

/*.dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
    float: right;
  margin-top: 5px;
position: absolute;
right: 10px;
top: 15px;
}*/

 .form-group {
    margin-bottom: 1.25rem;
}

button:focus {
    outline: none;
}

label {
    font-size: .9rem;
    font-weight: 500;
    color: #383838;
}

.dropdown-menu {
    height: auto;
    max-height: 200px;
    overflow-x: hidden;
}

.dropdown.has-image .option-image {
    display: inline-block;
    width: 37px;
    height: 37px;
    margin-right: 10px;
    background-color: #dedede;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    /*margin-left:-14px;*/
}

.dropdown.configurator.has-image .dropdown-item {
    padding: 0;
    height: 38px;
    padding-left: 50px;
}

.dropdown-menu {
    margin: 0;
    border: none;
    border-radius: 0;
    background: #ffffff;

    -webkit-box-shadow: 0px 9px 35px -8px rgba(0, 0, 0, 0.43);
    -moz-box-shadow: 0px 9px 35px -8px rgba(0, 0, 0, 0.43);
    box-shadow: 0px 9px 35px -8px rgba(0, 0, 0, 0.43);
}

.dropdown-menu::-webkit-scrollbar-track {
    background-color: #CCC;
}

.dropdown-menu::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
}

.dropdown-menu::-webkit-scrollbar-thumb {
    background-color: #656565;
}


.option-image.polished {
    background-image: url('../icons/polished.png');
}

.option-image.fine-matt {
    background-image: url('../icons/fine-matt.png');
}


.btn {
    /*padding: .5rem .75rem;
  border-radius: 0;*/
}

.btn-sm {
    font-size: 0.8rem;
}

hr.light {
    border: none;
    height: 1px;
    /* Set the hr color */
    color: #e9e6e6;
    /* old IE */
    background-color: #e9e6e6;
    /* Modern Browsers */
}

/*.btn-light {
  border: none;
  border-radius: 0;
  color: #212529;
  background:#dcdcdc;
  border: 0;
}*/

.dropdown.configurator>button {
    /*font-weight: 500;
  color: #353535;
  background-color: #e9e9e9;
  border-radius: 0;
  height: 33px;
  border: none;
  border: 0;*/
}

.dropdown.configurator.has-image>button {
    padding: 0;
    padding-left: 50px;
    height: 37px;
}

.button-panel>div {
    width: 100%;
    margin-bottom: 1rem;
    padding-left: 5px;
}

.slider-container {
    /*padding: .75rem .75rem 1.75rem .75rem;
  background: #e9e9e9;*/
    border: 0;
}

.noUi-connect {
    background: #c6caac;
}

.noUi-connects {
    overflow: auto;
}

.noUi-horizontal {
    height: 32px;
}

.noUi-target {
    border: none;
    box-shadow: none;
}

.noUi-connects {
    border-radius: 0;
}

rangeslider .noUi-horizontal .noUi-handle {
    width: 24px;
    height: 54px;
    right: -12px;
    top: 0px;
    border-radius: 0;
    box-shadow: none;
    /* display: none; */
    opacity: 0;
    border: none;
    background: #151515;
}

.noUi-handle:after,
.noUi-handle:before {
    content: none;
}

.slider-tooltip {
    position: absolute;
    font-size: 12px;
    text-align: center;
    z-index: 3;
    top: 7px;
}

.slider-tooltip span.text {
    font-weight: 600;
}

.slider-tooltip span.tooltip-icon {
    display: block;
    width: 24px;
    height: 24px;
    position: absolute;
    right: -12px;
    top: 26px;
    z-index: 16;
    background: url(../icons/slider-connect.svg) no-repeat;
}


.noUi-horizontal .noUi-handle {
    display: block;
    width: 32px;
    height: 32px;
    position: absolute;
    right: -12px;
    top: 23px;
    z-index: 16;
    background: url(../icons/slider-connect.svg) no-repeat;
    border: 0;
    box-shadow: none;
}

.noUi-horizontal .noUi-origin.disabled .noUi-handle {
    background: url(../icons/slider-connect-disabled.svg) no-repeat;
}

.slider-tooltip span.seperation-line {
    display: block;
    width: 2px;
    height: 32px;
    position: absolute;
    right: -1px;
    top: -7px;
    z-index: 16;
    /* background: url(../icons/slider-connect.svg) no-repeat; */
    background: #151515;
}

.noUi-horizontal .noUi-tooltip {
    -webkit-transform: translate(-50%, 0);
    transform: translate(-52%, 0);
    left: 56%;
    bottom: 121%;
}

.noUi-tooltip {
    display: block;
    position: absolute;
    border: 1px solid #dcdcdc;
    border-radius: 2px;
    background: #f5f5f5;
    color: #202020;
    padding: 6px;
    text-align: center;
    white-space: nowrap;
    font-size: .75rem;
}

.-capitalize {
    text-transform: capitalize;
}

.do-block {
    height: auto !important;
    opacity: 1 !important;
    visibility: visible !important;
}

.do-none {
    height: 0px;
    opacity: 0;
    visibility: hidden;
}

.btn-inline {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    vertical-align: middle;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin-right: 8px;
    margin-left: 8px;
    max-width: 100%;
    border: transparent;
    background: transparent;
    padding: 0;
    -webkit-transition-duration: .3s;
    transition-duration: .3s;
    /*border-radius: 2px;*/
    font-weight: 500;
}

.btn-inline>i {
    margin-right: 8px;
    -webkit-transition-duration: .3s;
    transition-duration: .3s;
    font-size: 1.15rem;
}

.btn-inline span {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    text-align: left;
    font-size: .8rem;
}

/*.btn-group-toggle .btn{
  font-size: 13px;
  font-weight: 600;
}*/


.btn-group-toggle .btn.active {
    background: #373737 !important;
    color: #FFF !important;
}


.dropdown-toggle::after {
    display: none;
}

.dropdown-toggle::after {

    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;

    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f107";

    position: absolute;
    right: 10px;
    top: 5px;
    border: none;
    font-size: 16px;
    color: #353535;

}

.range-slider {
    position: absolute;
    left: 0;
    top: 40px;
    margin: 0;
    padding: 0;
    border: 0;
    outline: none;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    height: 0;
    pointer-events: none; // Prevent mouse interaction on the range slider.
}

.range-slider::-webkit-slider-thumb {
    /*-webkit-appearance: none; // Reset appearance so we can apply backgrounds/borders etc.*/
    pointer-events: auto; // Re-enable pointer events so the handles can be used.
}

.range-slider::-moz-range-thumb {
    /*-moz-appearance: none; // Reset appearance so we can apply backgrounds/borders etc.*/
    pointer-events: auto; // Re-enable pointer events so the handles can be used.
}

.mb-half {
    margin-bottom: .75rem;
}


hr {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}


.option-image.yellow-gold,
.background-yellow_gold {
    /*background: rgb(222,193,91)!important;
  background: linear-gradient(0deg, rgba(222,193,91,1) 40%, rgba(243,221,144,1) 100%)!important;*/
    background: #edd274 !important;
}

.option-image.rose-gold,
.background-rose_gold {
    /*background: rgb(221,146,81)!important;
  background: linear-gradient(0deg, rgba(221,146,81,1) 40%, rgba(243,190,144,1) 100%)!important;*/
    background: #e5b081 !important;
}

.option-image.white-gold,
.background-white_gold {
    background: #e9e4dd !important;
}

.yellow_gold {
    background: #f3dd90 !important;
}